### Signal

# SpiceClientGLib MainChannel::new-file-transfer

since: 0.31

#### Declaration

    void
    new_file_transfer (
      SpiceMainChannel* self,
      GObject* task,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new file transfer task has been initiated on this channel. Client applications may take a reference on the `task` object and use it to monitor the status of the file transfer task.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.31

#### Parameters

`task`

  Type: `GObject`

  A `SpiceFileTransferTask`.

  The data is owned by the caller of the function.